Description

As of Redmine 0.8.0.stable.1655, there is no way I can find to give a title to links other than wiki links (using [[...|title]]) and external

http: links (using 

"title":http://...

).  This means it's impossible to, say, title a source: link or an email address.    

It'd be nice to be able to title these links too.  It doesn't really matter how--either "title":... or [[...|title]], or some other way.

Related issues:

Related to Redmine - Feature #5794: URL custom fields Closed 2010-07-01

History

#1 - 2013-03-25 03:54 - Dipan Mehta

If this is meant to be in wiki text - the work of this is already done.

If this is related to custom field this is related to another related issue - #5794. #2792 and #5794 are almost duplicates.

#2 - 2017-09-12 09:29 - dk k

I'm sorry for asking . But in the latest version of RM, is it possible to reender custom field in URL to value. For instance, i have custom field 

issue_custom_field_values_13 but when URL is reendered, i don't get actual value from that field in URL.

Are these only options to do that:

Link values to URL: creates a URL using the following variables.

        value => the custom field value

        id => id of the customized object

        project_id => id of the project of the customized object if defined

        project_identifier => identifier of the project of the customized object if defined

        m1, m2... => capture groups matches of the custom field regexp if defined

 Thanks

#3 - 2017-10-11 17:16 - Toshi MARUYAMA

- Category set to Text formatting
